Bug 246578 - dns/knot-resolver: update to 5.1.1 (security fix against NXNSAttack)
Summary: dns/knot-resolver: update to 5.1.1 (security fix against NXNSAttack)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL: https://www.knot-resolver.cz/2020-05-...
Keywords: buildisok
Depends on: 247699
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-19 19:21 UTC by Kurt Jaeger
Modified: 2020-07-11 20:59 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback-
pi: merge-quarterly+


Attachments
patch (1.82 KB, patch)
2020-05-19 19:21 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2020-05-19 19:21:05 UTC
Created attachment 214656 [details]
patch

testbuilds are fine.
Comment 1 Automation User 2020-05-19 21:40:48 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/147688781
Comment 2 Fernando Apesteguía freebsd_committer 2020-05-25 14:20:08 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 3 Kurt Jaeger freebsd_committer 2020-06-14 19:19:21 UTC
pending VUXML
Comment 4 commit-hook freebsd_committer 2020-06-14 19:19:30 UTC
A commit references this bug:

Author: pi
Date: Sun Jun 14 19:19:13 UTC 2020
New revision: 538826
URL: https://svnweb.freebsd.org/changeset/ports/538826

Log:
  dns/knot-resolver: update 5.0.1 -> 5.1.1

  PR:		246578
  Approved by:	freebsd@dns.company (maintainer timeout)
  Relnotes:	https://www.knot-resolver.cz/2020-05-19-knot-resolver-5.1.1.html
  Security:	CVE-2020-12667
  MFH:		2020Q2

Changes:
  head/dns/knot-resolver/Makefile
  head/dns/knot-resolver/distinfo
  head/dns/knot-resolver/pkg-plist
Comment 5 Leo Vandewoestijne 2020-06-22 14:58:39 UTC
Before committing this, please allow me a bit more time
(or better said: even more time) to merge this with the valid points pointed out in PR 244600 (but not all).
I will try do so tomorrow.
Comment 6 Leo Vandewoestijne 2020-06-22 15:00:52 UTC
Oh, I just see it already was timed out.
In that case I will continue at PR 244600
Comment 7 Kurt Jaeger freebsd_committer 2020-07-11 20:59:15 UTC
See update to 5.1.2 in https://svnweb.freebsd.org/changeset/ports/542054